package com.pcloud.book.mapper.clickhouse;

import com.pcloud.book.applet.dto.AppletRecordDTO;
import com.pcloud.book.applet.entity.AppletRecord;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.Map;

@Mapper
@Component
public interface AppletRecordCHMapper {

    void batchInsert(List<AppletRecord> list);

    List<AppletRecordDTO> getAggrStatis(Map<String, Object> paramMap);

    void optimize();

}
